Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.RelationalExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.RelationalExprAltContext

-     public static class GroovyParser.RelationalExprAltContext
      extends ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `ExpressionContext` | `left` |
    `Token` | `op` |
    `ExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RelationalExprAltContext(ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AS()`
    `` | `public TerminalNode` | `GE()`
    `` | `public TerminalNode` | `GT()`
    `` | `public TerminalNode` | `IN()`
    `` | `public TerminalNode` | `INSTANCEOF()`
    `` | `public TerminalNode` | `LE()`
    `` | `public TerminalNode` | `LT()`
    `` | `public TerminalNode` | `NOT_IN()`
    `` | `public TerminalNode` | `NOT_INSTANCEOF()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public ExpressionContext` | `expression(int i)`
    `` | `public MatchingTypeContext` | `matchingType()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public TypeContext` | `type()`

- - ### Field Detail

    - #### public ExpressionContext left

    - #### public Token op

    - #### public ExpressionContext right

  - ### Constructor Detail

    - #### public RelationalExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode AS()

    - #### public TerminalNode GE()

    - #### public TerminalNode GT()

    - #### public TerminalNode IN()

    - #### public TerminalNode INSTANCEOF()

    - #### public TerminalNode LE()

    - #### public TerminalNode LT()

    - #### public TerminalNode NOT_IN()

    - #### public TerminalNode NOT_INSTANCEOF()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public ExpressionContext expression(int i)

    - #### public MatchingTypeContext matchingType()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public TypeContext type()